## dtmf2num 0.1.1

=== Makefile ===
EXE		= dtmf2num
CFLAGS	+= -O2 -s
PREFIX	= /usr/local
BINDIR	= $(PREFIX)/bin
LIBS	= -lm

all:
	$(CC) $(CFLAGS) -c dtmf2num.c
	$(CC) $(CFLAGS) -c resample2.c
	$(CC) $(CFLAGS) -o $(EXE) $(LIBS) *.o -lm

install:
	install -m 755 -d $(BINDIR)
	install -m 755 $(EXE) $(BINDIR)/$(EXE)

.PHONY:
	install

=== debian/changelog ===
dtmf2num (0.1.1-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.3.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Added 1000-hardening.patch to use CPPFLAGS and LDFLAGS during build.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 May 2024 20:50:43 +0200

dtmf2num (0.1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #975031)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 10:55:51 -0300

dtmf2num (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #726668)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Apr 2019 12:36:48 +0200

=== debian/control ===
Source: dtmf2num
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://aluigi.altervista.org/mytoolz.htm#dtmf2num
Vcs-Browser: https://salsa.debian.org/debian/dtmf2num
Vcs-Git: https://salsa.debian.org/debian/dtmf2num.git

Package: dtmf2num
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: tool for decoding the DTMF and MF tones from PCM wave files
 This supports any type of wave file (frequencies, channels and
 8, 16, 24 and 32 bits), automatic optimizations (DC bias adjust and
 normalization) and both WAV and raw PCM data.
 .
 The program has been successfully tested with many audio files and
 moreover with those highly dirt and damaged, for example recorded
 with a microphone in a room or at a very low volumes or with some
 noise.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_install:
	@echo skip install target
